#include <iostream>
#include <cmath>

using namespace std;

int main() {
    int a, k, f=0;
    cin >> a >> k;
	int n[a];
	for (int i=a; i>0;i--) { 
		cin >> n[i];
	}
	if (k==0){
	for (int i=a;i>0;i--){
		f+=n[i];
	}	
	}
	if (k==1){
	for (int i=a;i>0;i--){
		f+=n[i];
	}	
	f= f*7;
	}
	if(k>1){
		for (int i=a;i>0;i--){
		f+=n[i];
	}	
	f=f*(7*k);
	}
	cout << f;
	return 0;
}